Bug 1962602 - Cloud credential operator scrolls info "unable to provide upcoming..." on unsupported platform
Summary: Cloud credential operator scrolls info "unable to provide upcoming..." on uns...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Devan Goodwin
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-20 10:56 UTC by wang lin
Modified: 2021-07-27 23:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Unncessary logging Consequence: Cloud credential operator would frequently log "unable to provide upcoming secrets for unknown platform" on some platforms. Fix: Removed unnecessary logging when we don't recognize the platform. Result: Logging removed.
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
must-gather (17.01 MB, application/gzip)
2021-05-20 10:56 UTC, wang lin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 343 0 None open Bug 1962602: Remove log statement in frequently called function. 2021-05-20 11:21:23 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:55 UTC

Description wang lin 2021-05-20 10:56:54 UTC
Created attachment 1785114 [details]
must-gather

Cloud credential operator is scrolling info messages on unsupported platform. 

See below:

2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"
2021-05-20T08:10:29.297293864Z time="2021-05-20T08:10:29Z" level=info msg="unable to provide upcoming secrets for unknown platform: None"

Comment 1 Devan Goodwin 2021-05-20 11:17:15 UTC
Yikes that is insane. This log is from a function that is called a LOT, for every secret in the cluster. Definitely should not be logging anything here. Easy fix, incoming soon.

Comment 3 wang lin 2021-05-26 05:21:12 UTC
Verified on 4.8.0-0.nightly-2021-05-25-223219


The log "unable to provide upcoming secrets for unknown platform..." has removed.

Run `$ oc logs cloud-credential-operator-7f8f9d4d4-rsw6j -c cloud-credential-operator | grep "unable to provide upcoming"`

Nothing is shown.

Comment 6 errata-xmlrpc 2021-07-27 23:09:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.